<!DOCTYPE html>
<html lang="fa">

<head>

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title> {{ title }}</title>
    <meta name="description" content="{{ desc }}">
    <meta name="author" content="{{ author }}">
    <meta name="keywords" content="{{ keywords }}">
    <meta property="og:locale" content="fa_IR" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="{{ title }}" />
    <meta property="og:description" content="{{ desc }}" />
    <meta property="og:url" content="http://gooshichand.com/" />
    <meta property="og:site_name" content="گوشی چند؟" />

    {% load staticfiles %}
    <link href="{% static '/website/css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/bootstrap-rtl.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/font-awesome.min.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/magnific-popup.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/creative.min.css' %}" rel="stylesheet">

    <style>
        body{
            background: #f2f4f5
        }
        @media (min-width: 700px) {
            .font-size{
                font-size: 13px;
            }
        }
        @media (max-width: 700px){
            .font-size{
                font-size: 10px;
            }
        }
        .box-centered{
            text-align: center;
            margin: 0 auto;
        }
        .margin-div-section{
            padding-top: 50px;
        }
        .item-header-background{
            background-color: #212529;
        }
        .text-white{
            color: white;
        }
        .text-black{
            color: black;
        }
        .open ul li:hover{
            color: red;
        }
        .text-align{
            text-align: right;
        }
        .padding{
            padding: 10px;
        }
        .input-class{
            margin: 5px;
            padding: .375rem .75rem;
            line-height: 1.5;
            color: #495057;
            background: #fff none;
            background-clip: padding-box;
            border: 1px solid #ced4da;
            border-radius: .25rem;
            transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        }

        .form-area{
            background-color: #FAFAFA;
            padding: 10px 40px 60px;
            margin: 10px 0px 60px;
            border: 1px solid GREY;
        }

        i { cursor: pointer; }
        #submit-website { cursor: pointer; }
        #submit-form { cursor: pointer; }


    </style>

</head>

<body id="page-top">

<!-- Navigation -->
<nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
    <div class="container">

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ml-auto pull-right">
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">فرم ثبت نام</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
                </li>
            </ul>
        </div>

    </div>
</nav>

<div class="item-header-background margin-div-section"></div>


<div id="services" class="margin-div-section">
    <div class="container">
        <div class="row">
            <div class="col-md-5">
                <div class="form-area box-centered">
                    <form action="/ads/payment/" role="form" method="post" id="ads_subs">
                        <br>
                        <h3 class="text-center padding font-size">فرم ثبت نام</h3>
                        <p class="text-right font-size">مطمئن شوید در تنظیمات تلگرامتان اجازه دعوت شدن به کانال را داده باشید</p>
                        <div class="form-group">
                            <input type="text" class="font-size form-control" id="mobile" maxlength="11" name="mobile" placeholder="شماره تماس 11 رقمی (ضروری)" required>
                        </div>
                        <div class="form-group">
                            <input type="text" class="font-size form-control" id="field" name="field" placeholder="مدل گوشی مورد نظر (ضروری)...." required>
                        </div>
                        <div class="form-group">
                            <textarea class="font-size form-control" type="textarea" id="comment" placeholder="توضیحات (اختیاری)" rows="7"></textarea>
                        </div>
                        <input id="submit-form" type="submit" value="ثبت نام" class="btn btn-primary font-size box-centered" />
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>

<section id="contact" class="bg-dark text-white">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 mx-auto text-center">
                <h2 class="section-heading font-size">سوالی دارید؟</h2>
                <hr class="my-4">
                <p class="mb-5 font-size">هرگونه نظر انتقاد یا پیشنهادی را با ما در میان بگذارید</p>
            </div>
        </div>
        <div class="container box-centered ">
            <input id="text-website" class="input-class font-size" placeholder="وب سایت خود را اطلاع دهید">
            <button id="submit-website" class="btn btn-danger font-size">ارسال</button>
        </div>
        <div class="row">
            <div class="col-lg-6 ml-auto text-center">
                <i class="fa fa-linkedin fa-3x mb-3 sr-contact"></i>
                <p>
                    <a class="font-size" href="https://www.linkedin.com/in/gooshi-chand-857aa9152/">LinkedIn Account</a>
                </p>
            </div>
            <div class="col-lg-6 mr-auto text-center">
                <i class="fa fa-envelope-o fa-3x mb-3 sr-contact"></i>
                <p>
                    <a class="font-size" href="mailto:info@gooshichand.com">info@gooshichand.com</a>
                </p>
            </div>
        </div>
    </div>
</section>

<script src="{% static 'website/js/jquery.min.js' %}"></script>
<script src="{% static 'website/js/bootstrap.bundle.min.js' %}"></script>
<script src="{% static 'website/js/jquery.easing.min.js' %}"></script>
<script src="{% static 'website/js/scrollreveal.min.js' %}"></script>
<script src="{% static 'website/js/jquery.magnific-popup.min.js' %}"></script>
<script src="{% static 'website/js/creative.min.js' %}"></script>

<script async src="https://www.googletagmanager.com/gtag/js?id=UA-89734205-2"></script>
<script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'UA-89734205-2');
</script>

<!-- Go to www.addthis.com/dashboard to customize your tools -->
<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5a1b513f206d972f"></script>

<script>

    function getCookie(c_name){
        let c_start;
        let c_end;
        if (document.cookie.length > 0) {
            c_start = document.cookie.indexOf(c_name + "=");
            if (c_start !== -1) {
                c_start = c_start + c_name.length + 1;
                c_end = document.cookie.indexOf(";", c_start);
                if (c_end === -1) c_end = document.cookie.length;
                return unescape(document.cookie.substring(c_start, c_end));
            }
        }
        return "";
    }

    const submit_btn = $(`#submit-website`);
    const text_website = $(`#text-website`);
    const divMsg = $( "div.msg" );
    const divError = $( "div.error" );
    submit_btn.click(function(){
        submit_btn.val('ارسال').prop('disabled', true);
        divMsg.remove();
        divError.remove();
        let address = text_website.val();
        if(address===''){
            submit_btn.val('ارسال').prop('disabled', false);
            return;
        }
        $.ajax({
            type: "POST",
            url: 'https://gooshichand.com/websiteaddress/',
            headers: { "X-CSRFToken": getCookie("csrftoken") },
            data: { "address": address}
        }).done(function() {
            submit_btn.after('<div class="msg msg_success">پیغام شما با موفقیت ارسال شد</div>');
            text_website.val('');
            submit_btn.val('ارسال').prop('disabled', false);
        }).fail(function(jqXHR) {
            $( '<div class="error">' + jqXHR + '</div>' ).insertAfter( '#submit-website' );
            submit_btn.val('ارسال').prop('disabled', false);
        });
    });

    $(function(){
        $("#ads_subs").submit(function() {
            $('#ads_subs').find('input[type="submit"]').val('در حال ارسال ...').prop('disabled', true);
            $.ajax({
                type: "POST",
                url: $(this).prop('action'),
                headers: { "X-CSRFToken": getCookie("csrftoken") },
                data: $(this).serialize()
            }).done(function(jqXHR) {
                window.location.href = jqXHR;
                $('#ads_subs').find('input[type="submit"]').val('ثبت نام و پرداخت').prop('disabled', false);
            }).fail(function() {
                $('#ads_subs').find('input[type="submit"]').val('ثبت نام و پرداخت').prop('disabled', false);
            });
            return false;
        });
    });

</script>
</body>
</html>
